summaryrefslogtreecommitdiffstats
path: root/root/etc/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'root/etc/functions.sh')
-rwxr-xr-xroot/etc/functions.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/root/etc/functions.sh b/root/etc/functions.sh
index 1f9afb294..2b85e15cb 100755
--- a/root/etc/functions.sh
+++ b/root/etc/functions.sh
@@ -104,5 +104,7 @@ ifdown () (
type=$1
debug "### ifdown $type ###"
if=$(nvram_get ${type}_ifname)
- if_valid $if && $DEBUG ifconfig $if down
+ if_valid $if || return
+ kill $(cat /var/run/${if}.pid 2>-)2>-
+ $DEBUG ifconfig $if down
)